MidoNet Gateway
==================

Overview
--------

This charm does its job by interfacing with other charms:
- MidoNet Agent: the user-space daemon that will bind the interface to the
  gateway. Will be pulled into the same machine as a subordinate.
- MidoNet API: Will receive from this charm the necessary information to call
  its REST API with enough information for the API to configure the
  midonet-gateway machine as one of the gateways of the overlay.

Usage
-----

    juju deploy midonet-agent
    juju deploy midonet-api
    juju deploy midonet-gateway

then make the agent connect to the distributed data

    juju add-relation midonet-agent zookeeper
    juju add-relation midonet-agent cassandra:database

also the api
    juju add-relation midonet-api zookeeper

Then you can connect midonet-agent to the midonet-api so that it will be added
to the default tunnel zone:

    juju add-relation midonet-agent midonet-api

Finally, you relate midonet-api and midonet-gateway:

    juju add-relation midonet-api midonet-gateway
